Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IConstantPoolEntry

public interface IConstantPoolEntry

Description of a constant pool entry as described in the JVM specifications. Its contents is initialized according to its kind. This interface may be implemented by clients.

Since:
  2.0

Method Summary
`int` | `getClassIndex()` Answer back the class index for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry.
`char[]` | `getClassInfoName()` Answer back the class name for a CONSTANT_Class type entry.
`int` | `getClassInfoNameIndex()` Answer back the name index for a CONSTANT_Class type entry.
`char[]` | `getClassName()` Answer back the class name for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry.
`double` | `getDoubleValue()` Answer back the double value for a CONSTANT_Double type entry.
`char[]` | `getFieldDescriptor()` Answer back the field descriptor value for a CONSTANT_Fieldref type entry.
`char[]` | `getFieldName()` Answer back the field name for a CONSTANT_Fieldref type entry.
`float` | `getFloatValue()` Answer back the float value for a CONSTANT_Float type entry.
`int` | `getIntegerValue()` Answer back the integer value for a CONSTANT_Integer type entry.
`int` | `getKind()` Answer back the type of this entry.
`long` | `getLongValue()` Answer back the long value for a CONSTANT_Long type entry.
`char[]` | `getMethodDescriptor()` Answer back the method descriptor value for a CONSTANT_Methodref or CONSTANT_InterfaceMethodref type entry.
`char[]` | `getMethodName()` Answer back the field name for a CONSTANT_Methodref or CONSTANT_InterfaceMethodred type entry.
`int` | `getNameAndTypeIndex()` Answer back the nameAndType index for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry.
`int` | `getNameAndTypeInfoDescriptorIndex()` Answer back the descriptor index for a CONSTANT_NameAndType type entry.
`int` | `getNameAndTypeInfoNameIndex()` Answer back the name index for a CONSTANT_NameAndType type entry.
`int` | `getStringIndex()` Answer back the string index for a CONSTANT_String type entry.
`String` | `getStringValue()` Answer back the string value for a CONSTANT_String type entry.
`int` | `getUtf8Length()` Answer back the utf8 length for a CONSTANT_Utf8 type entry.
`char[]` | `getUtf8Value()` Answer back the utf8 value for a CONSTANT_Utf8 type entry.

Method Detail

### getKind

    public int getKind()

  Answer back the type of this entry.

  Returns:
    the type of this entry

### getClassInfoNameIndex

    public int getClassInfoNameIndex()

  Answer back the name index for a CONSTANT_Class type entry.

  Returns:
    the name index for a CONSTANT_Class type entry

### getClassIndex

    public int getClassIndex()

  Answer back the class index for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry.

  Returns:
    the class index for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry

### getNameAndTypeIndex

    public int getNameAndTypeIndex()

  Answer back the nameAndType index for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry.

  Returns:
    the nameAndType index for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry

### getStringIndex

    public int getStringIndex()

  Answer back the string index for a CONSTANT_String type entry.

  Returns:
    the string index for a CONSTANT_String type entry

### getStringValue

    public String getStringValue()

  Answer back the string value for a CONSTANT_String type entry.

  Returns:
    the string value for a CONSTANT_String type entry

### getIntegerValue

    public int getIntegerValue()

  Answer back the integer value for a CONSTANT_Integer type entry.

  Returns:
    the integer value for a CONSTANT_Integer type entry

### getFloatValue

    public float getFloatValue()

  Answer back the float value for a CONSTANT_Float type entry.

  Returns:
    the float value for a CONSTANT_Float type entry

### getDoubleValue

    public double getDoubleValue()

  Answer back the double value for a CONSTANT_Double type entry.

  Returns:
    the double value for a CONSTANT_Double type entry

### getLongValue

    public long getLongValue()

  Answer back the long value for a CONSTANT_Long type entry.

  Returns:
    the long value for a CONSTANT_Long type entry

### getNameAndTypeInfoDescriptorIndex

    public int getNameAndTypeInfoDescriptorIndex()

  Answer back the descriptor index for a CONSTANT_NameAndType type entry.

  Returns:
    the descriptor index for a CONSTANT_NameAndType type entry

### getNameAndTypeInfoNameIndex

    public int getNameAndTypeInfoNameIndex()

  Answer back the name index for a CONSTANT_NameAndType type entry.

  Returns:
    the name index for a CONSTANT_NameAndType type entry

### getClassInfoName

    public char[] getClassInfoName()

  Answer back the class name for a CONSTANT_Class type entry.

  Returns:
    the class name for a CONSTANT_Class type entry

### getClassName

    public char[] getClassName()

  Answer back the class name for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry.

  Returns:
    the class name for a CONSTANT_Fieldref, CONSTANT_Methodref, CONSTANT_InterfaceMethodref type entry

### getFieldName

    public char[] getFieldName()

  Answer back the field name for a CONSTANT_Fieldref type entry.

  Returns:
    the field name for a CONSTANT_Fieldref type entry

### getMethodName

    public char[] getMethodName()

  Answer back the field name for a CONSTANT_Methodref or CONSTANT_InterfaceMethodred type entry.

  Returns:
    the field name for a CONSTANT_Methodref or CONSTANT_InterfaceMethodred type entry

### getFieldDescriptor

    public char[] getFieldDescriptor()

  Answer back the field descriptor value for a CONSTANT_Fieldref type entry. This value is set only when decoding the CONSTANT_Fieldref entry.

  Returns:
    the field descriptor value for a CONSTANT_Fieldref type entry. This value is set only when decoding the CONSTANT_Fieldref entry

### getMethodDescriptor

    public char[] getMethodDescriptor()

  Answer back the method descriptor value for a CONSTANT_Methodref or CONSTANT_InterfaceMethodref type entry. This value is set only when decoding the CONSTANT_Methodref or CONSTANT_InterfaceMethodref entry.

  Returns:
    the method descriptor value for a CONSTANT_Methodref or CONSTANT_InterfaceMethodref type entry. This value is set only when decoding the CONSTANT_Methodref or CONSTANT_InterfaceMethodref entry

### getUtf8Value

    public char[] getUtf8Value()

  Answer back the utf8 value for a CONSTANT_Utf8 type entry. This value is set only when decoding a UTF8 entry.

  Returns:
    the utf8 value for a CONSTANT_Utf8 type entry. This value is set only when decoding a UTF8 entry

### getUtf8Length

    public int getUtf8Length()

  Answer back the utf8 length for a CONSTANT_Utf8 type entry. This value is set only when decoding a UTF8 entry.

  Returns:
    the utf8 length for a CONSTANT_Utf8 type entry. This value is set only when decoding a UTF8 entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.